/* 
   Tester for TableView
   Copyright (C) 2004 Free Software Foundation, Inc.

   Written by: Fred Kiefer <FredKiefer@gmx.de>
   Created: June 2004

   This file is part of the GNUstep Base Library.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA.
*/

#import <AppKit/AppKit.h>
#include "MyDelegate.h"

@implementation MyDelegate

- (void) _createMainMenu
{
  NSMenu *menu;
  NSMenu *info;

  //	Create the app menu
  menu = [NSMenu new];

  [menu addItemWithTitle: @"Info"
		  action: NULL
	   keyEquivalent: @""];
  [menu addItemWithTitle: @"Hide"
		  action: @selector(hide:)
	   keyEquivalent: @"h"];
  [menu addItemWithTitle: @"Quit"
		  action: @selector(terminate:)
	   keyEquivalent: @"q"];
  // Create the info submenu
  info = [NSMenu new];
  [info addItemWithTitle: @"Info Panel..."
	          action: @selector(orderFrontStandardInfoPanel:)
	   keyEquivalent: @""];
/*  
  [info addItemWithTitle: @"Preferences..."
		  action: NULL
	   keyEquivalent: @""];
*/
  [info addItemWithTitle: @"Help"
		  action: @selector (orderFrontHelpPanel:)
	   keyEquivalent: @"?"];
  [menu setSubmenu: info
	   forItem: [menu itemWithTitle: @"Info"]];
  [info release];

  [NSApp setMainMenu: menu];
  [menu release];
}


/*- (void)createWindowA
{
  NSWindow *aWin;
  aWin = [[NSWindow alloc] initWithContentRect: NSMakeRect(200, 200, 240, 240)
			   styleMask: NSTitledWindowMask
			   backing: NSBackingStoreBuffered
			   defer: NO];
  [aWin setBackgroundColor: [NSColor blueColor]];

  NSString *path = [[NSBundle bundleForClass:[self class]] pathForResource:@"Test" ofType:@"tiff"];
  NSImage *image = [[NSImage alloc] initWithContentsOfFile:path];
//  NSLog(@"image %@", image);
  NSImageView *imageView = [[NSImageView alloc] initWithFrame: NSMakeRect (20, 20, 200, 200)];
  [imageView setImage: image];

  [[aWin contentView] addSubview: imageView];

  [aWin makeKeyAndOrderFront: nil];
}*/

- (void)createWindowB
{
  NSWindow *aWin;
  NSString *path = [[NSBundle bundleForClass:[self class]] pathForResource:@"Test" ofType:@"jpg"];
  NSImage *image = [[NSImage alloc] initWithContentsOfFile:path];
  NSSize size = [image size];

  aWin = [[NSWindow alloc] initWithContentRect:NSMakeRect(200, 200,  size.width, size.height)
			   styleMask: NSTitledWindowMask
			   backing: NSBackingStoreBuffered
			   defer: NO];
  [aWin setBackgroundColor: [NSColor blueColor]];

  NSImageView *imageView = [[NSImageView alloc] initWithFrame:NSMakeRect (0, 0, size.width, size.height)];
  [imageView setImage: image];

  [[aWin contentView] addSubview:imageView];

  [aWin makeKeyAndOrderFront: nil];
}

- (void)applicationWillFinishLaunching:(NSNotification *)not
{
   NSLog(@"applicationWillFinishLaunching");
  [self _createMainMenu];
//  [self createWindowA];
  [self createWindowB];
}


- (void) didClick: (id)sender
{
  NSLog(@"Did get click from %@", sender);
}

- (void) didDoubleClick: (id)sender
{
  NSLog(@"Did get double click from %@", sender);
}
@end
